### Method

# Gtk.GestureStylus.get_backlog

#### Declaration [src]

    gboolean
    gtk_gesture_stylus_get_backlog (
      GtkGestureStylus* gesture,
      GdkTimeCoord** backlog,
      guint* n_elems
    )

#### Description [src]

Returns the accumulated backlog of tracking information.

By default, GTK will limit rate of input events. On stylus input where accuracy of strokes is paramount, this function returns the accumulated coordinate/timing state before the emission of the current [Gtk.GestureStylus::motion] signal.

This function may only be called within a `GtkGestureStylus::motion` signal handler, the state given in this signal and obtainable through `gtk_gesture_stylus_get_axis()` express the latest (most up-to-date) state in motion history.

The `backlog` is provided in chronological order.

#### Parameters

`backlog` | An array of `GdkTimeCoord*`
| coordinates and times for the backlog events
| Direction: out
| The length of the array is in the `n_elems` argument
| Ownership of the data is transferred to the callee
`n_elems` | `guint*`
| return location for the number of elements
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if there is a backlog to unfold in the current state.